Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.simpleframework.xml.filter
Class MapFilter

    java.lang.Object
      org.simpleframework.xml.filter.MapFilter

All Implemented Interfaces:
  Filter

    public class MapFilter

extends java.lang.Object
implements Filter

The `MapFilter` object is a filter that can make use of user specified mappings for replacement. This filter can be given a `Map` of name value pairs which will be used to resolve a value using the specified mappings. If there is no match found the filter will delegate to the provided filter.

Author:
  Niall Gallagher

Constructor Summary
`MapFilter(java.util.Map map)` Constructor for the `MapFilter` object.
`MapFilter(java.util.Map map, Filter filter)` Constructor for the `MapFilter` object.

Method Summary
`java.lang.String` | `replace(java.lang.String text)` Replaces the text provided with the value resolved from the specified `Map`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapFilter

    public MapFilter(java.util.Map map)

  Constructor for the `MapFilter` object. This will use the specified mappings to resolve replacements. If this map does not contain a requested mapping null is resolved.

  Parameters:
    `map` - this contains the user specified mappings

### MapFilter

    public MapFilter(java.util.Map map,
                     Filter filter)

  Constructor for the `MapFilter` object. This will use the specified mappings to resolve replacements. If this map does not contain a requested mapping the provided filter is used to resolve the replacement text.

  Parameters:
    `map` - this contains the user specified mappings
    `filter` - this is delegated to if the map fails

Method Detail

### replace

    public java.lang.String replace(java.lang.String text)

  Replaces the text provided with the value resolved from the specified `Map`. If the map fails this will delegate to the specified `Filter` if it is not a null object. If no match is found a null is returned.

  Specified by:
    `replace` in interface `Filter`
  Parameters:
    `text` - this is the text value to be replaced
  Returns:
    this will return the replacement text resolved

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD